<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime</groupId>
    <artifactId>base</artifactId>
    <version>1.10.1</version>
  </parent>
  <groupId>ru.entaxy.esb.platform.runtime.base</groupId>
  <artifactId>cellar-extensions</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: PLATFORM :: BASE :: CELLAR EXTENSIONS</name>
  <description>ENTAXY :: PLATFORM :: BASE :: CELLAR EXTENSIONS</description>
  
  <properties>
	  <bundle.osgi.export.pkg>
		ru.entaxy.platform.runtime.cellar.helper,  
		ru.entaxy.platform.runtime.cellar.sequence	  
	  </bundle.osgi.export.pkg>
	  <bundle.osgi.private.pkg>
		  org.apache.karaf.features.internal.model,
        org.apache.felix.utils.version,
        org.apache.felix.utils.properties,
        org.apache.karaf.util,		  
        ru.entaxy.platform.runtime.cellar.sequence.process,
		  ru.entaxy.platform.runtime.cellar.sequence.impl
	  </bundle.osgi.private.pkg>
  </properties>
  
  <dependencies>
	
	<dependency>
		<groupId>org.apache.felix</groupId>
		<artifactId>org.apache.felix.configadmin</artifactId>
		<version>${felix.configadmin.version}</version>
	</dependency>
	
	<!--
    <dependency>
        <groupId>org.osgi</groupId>
        <artifactId>org.osgi.compendium</artifactId>
        <version>${osgi.compendium.version}</version>
    </dependency>
  -->
  
  
	<dependency>
		<groupId>org.apache.karaf.features</groupId>
		<artifactId>org.apache.karaf.features.core</artifactId>
		<version>${karaf.version}</version>
	</dependency>  
  
  	<dependency>
  		<groupId>ru.entaxy.esb.platform.runtime.base</groupId>
  		<artifactId>base-support</artifactId>
  		<version>${project.version}</version>
  		<exclusions>
  			<exclusion>
  				<groupId>org.apache.karaf.shell</groupId>
  				<artifactId>org.apache.karaf.shell.core</artifactId>
  			</exclusion>

  		</exclusions>
  	</dependency>		
		<dependency>
			<groupId>org.apache.karaf</groupId>
			<artifactId>org.apache.karaf.util</artifactId>
		</dependency>	  
	  <dependency>
	  	<groupId>org.apache.karaf.cellar</groupId>
	  	<artifactId>org.apache.karaf.cellar.core</artifactId>
	  	<version>${cellar.version}</version>

	  </dependency>	
	  <dependency>
	  	<groupId>org.apache.karaf.cellar</groupId>
	  	<artifactId>org.apache.karaf.cellar.event</artifactId>
	  	<version>${cellar.version}</version>

	  </dependency>
	  <dependency>
	  	<groupId>org.apache.karaf.cellar</groupId>
	  	<artifactId>org.apache.karaf.cellar.features</artifactId>
	  	<version>${cellar.version}</version>

	  </dependency>

  </dependencies>
  
</project>
